from PySide6.QtCore import Slot
from PySide6.QtWidgets import QWidget, QVBoxLayout, QPushButton, QLabel


class Proxies(QWidget):
    def __init__(self):
        super().__init__()
        main_layout = QVBoxLayout()
        self.count = 0
        self.label = QLabel(str(0))
        button = QPushButton("BUTTON")
        main_layout.addWidget(self.label)
        main_layout.addWidget(button)
        button.clicked.connect(self.plus)
        self.setLayout(main_layout)

    @Slot()
    def plus(self):
        self.count += 1
        self.label.setText(str(self.count))
